# Generated from e_markerclusterer-0.0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name e_markerclusterer

Name: rubygem-%{gem_name}
Version: 0.0.6.1
Release: 1%{?dist}
Summary: Extended version of Google MarkerClusterPlus, which extends representation of cluster with various types of infographics
License: Apache License 2.0
URL: https://rubygems.org/gems/e_markerclusterer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rack) >= 1.6
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec-nc)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-remote)
# BuildRequires: rubygem(pry-nav)
BuildArch: noarch

%description
Extended version of Google MarkerClusterPlus, which extends representation of
cluster with various types of infographics like charts, table, infoboxes, and
etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/rails
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/e_markerclusterer.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.6.1-1
- Initial package
